Bug 27701 - [V8] Teach V8Proxy::context about isolated worlds
Summary: [V8] Teach V8Proxy::context about isolated worlds
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Adam Barth
URL:
Keywords:
Depends on:
Blocks: 27703
  Show dependency treegraph
 
Reported: 2009-07-27 01:52 PDT by Adam Barth
Modified: 2009-07-29 01:00 PDT (History)
3 users (show)

See Also:


Attachments
patch (14.04 KB, patch)
2009-07-27 02:34 PDT, Adam Barth
no flags Details | Formatted Diff | Diff
patch (14.52 KB, patch)
2009-07-27 02:42 PDT, Adam Barth
dglazkov: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2009-07-27 01:52:21 PDT
I've looked through all the clients of V8Proxy::context(Frame*), and they'd all rather call V8DOMWrapper::getWrapperContext(Frame*).  Instead of converting all the call sites, we should just teach V8Proxy::context(Frame*) to retrieve the context of Frame* in the current isolated world.  Patch forthcoming.
Comment 1 Adam Barth 2009-07-27 02:34:25 PDT
Created attachment 33527 [details]
patch
Comment 2 Adam Barth 2009-07-27 02:42:31 PDT
Created attachment 33528 [details]
patch
Comment 3 Dimitri Glazkov (Google) 2009-07-28 20:50:02 PDT
Comment on attachment 33528 [details]
patch

ok. Will this affect performance in any measurable way?
Comment 4 Adam Barth 2009-07-29 00:59:47 PDT
Sending        LayoutTests/ChangeLog
Adding         LayoutTests/http/tests/security/isolatedWorld/document-open-expected.txt
Adding         LayoutTests/http/tests/security/isolatedWorld/document-open.html
Sending        LayoutTests/platform/gtk/Skipped
Sending        LayoutTests/platform/mac/Skipped
Sending        LayoutTests/platform/qt/Skipped
Sending        LayoutTests/platform/win/Skipped
Sending        WebCore/ChangeLog
Sending        WebCore/bindings/v8/ScriptController.cpp
Sending        WebCore/bindings/v8/ScriptObjectQuarantine.cpp
Sending        WebCore/bindings/v8/V8AbstractEventListener.cpp
Sending        WebCore/bindings/v8/V8DOMWrapper.cpp
Sending        WebCore/bindings/v8/V8DOMWrapper.h
Sending        WebCore/bindings/v8/V8Helpers.cpp
Sending        WebCore/bindings/v8/V8LazyEventListener.cpp
Sending        WebCore/bindings/v8/V8Proxy.cpp
Sending        WebCore/bindings/v8/V8Proxy.h
Transmitting file data .................
Committed revision 46523.
http://trac.webkit.org/changeset/46523
Comment 5 Adam Barth 2009-07-29 01:00:54 PDT
(In reply to comment #3)
> ok. Will this affect performance in any measurable way?

It shouldn't, but we'll see from the perf bots.